Subject: Re: bug#50874: [PATCH] lint: Check if HTTPS version of HTTP URL exists.

From: Xinglu Chen <[email-masked]>
Date: Sat, 09 Oct 2021 11:57:08 +0200

On Sat, Oct 02 2021, Ludovic Courtès wrote:

> Hi,
>
> Xinglu Chen <[email-masked]> skribis:
>
>> * guix/lint.scm (check-if-https-uri-exists?): New procedure.
>> (check-home-page, check-source): Use it.
>
> Applied, thanks!

Was it?  I don’t see it in the log.

>> I don’t really know how to test this while making it future-proof, any
>> suggestions?
>
> I don’t know either, since we don’t have an easy way to spin up an HTTPS
> server.  I think it’s okay to leave it as is, for lack of a better idea.
>
> However, this version of the patch leads to test failures in
> tests/lint.scm (“Connection refused”).

Thanks for catching this; I will look into it.  Good that you didn’t
apply it then.  :-)